<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getAugmentationsFromFaction](./bitburner.singularity.getaugmentationsfromfaction.md)

## Singularity.getAugmentationsFromFaction() method

Get a list of augmentation available from a faction.

**Signature:**

```typescript
getAugmentationsFromFaction(faction: FactionName): string[];
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

faction


</td><td>

[FactionName](./bitburner.factionname.md)


</td><td>

Name of faction.


</td></tr>
</tbody></table>

**Returns:**

string\[\]

Array containing the names of all Augmentations.

## Remarks

RAM cost: 5 GB \* 16/4/1

Returns an array containing the names (as strings) of all Augmentations that are available from the specified faction.

